Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
ffi.c File Reference
`#include "ffi.h"`
`#include "ffi_common.h"`
`#include "ffi_powerpc.h"`

Go to the source code of this file.

## Functions
ffi_status FFI_HIDDEN | ffi_prep_cif_machdep (ffi_cif *cif)
ffi_status FFI_HIDDEN | ffi_prep_cif_machdep_var (ffi_cif *cif, unsigned int nfixedargs MAYBE_UNUSED, unsigned int ntotalargs MAYBE_UNUSED)
void | ffi_call (ffi_cif *cif, void(*fn)(void), void *rvalue, void **avalue)
ffi_status | ffi_prep_closure_loc (ffi_closure *closure, ffi_cif *cif, void(*fun)(ffi_cif *, void *, void **, void *), void *user_data, void *codeloc)

## Function Documentation

## ◆ ffi_call()

void ffi_call | ( | ffi_cif * | cif,
|  | void(*)(void) | fn,
|  | void * | rvalue,
|  | void ** | avalue
| ) |  |

Definition at line 74 of file ffi.c.

References alloca, extended_cif::avalue, extended_cif::cif, ffi_call_LINUX64(), ffi_call_SYSV(), FLAG_RETURNS_SMST, memcpy(), and extended_cif::rvalue.

## ◆ ffi_prep_cif_machdep()

ffi_status FFI_HIDDEN ffi_prep_cif_machdep | ( | ffi_cif * | cif | ) |

Definition at line 52 of file ffi.c.

References ffi_prep_cif_linux64(), and ffi_prep_cif_sysv().

## ◆ ffi_prep_cif_machdep_var()

ffi_status FFI_HIDDEN ffi_prep_cif_machdep_var | ( | ffi_cif * | cif,
|  | unsigned int nfixedargs | MAYBE_UNUSED,
|  | unsigned int ntotalargs | MAYBE_UNUSED
| ) |  |

Definition at line 62 of file ffi.c.

References ffi_prep_cif_linux64_var(), and ffi_prep_cif_sysv().

## ◆ ffi_prep_closure_loc()

ffi_status ffi_prep_closure_loc | ( | ffi_closure * | closure,
|  | ffi_cif * | cif,
|  | void(*)(ffi_cif *, void *, void **, void *) | fun,
|  | void * | user_data,
|  | void * | codeloc
| ) |  |

Definition at line 130 of file ffi.c.

References ffi_prep_closure_loc_sysv().